@import 'vars';

html {
  font-size: 3.8vw;
  @media screen and (min-width: 480px) {
        font-size: 2.1vw;
  }
  @media (min-width: 1000px) {
    font-size: 1.1vw;
  }
  @media (min-width: 4000px) {
    font-size: 16px;
  }

}

html,
body {
  min-height: 100vh;
}
body {
  font-family: Manrope;
  font-size: 1.125rem;
  font-style: normal;
  font-weight: 400;
  line-height: 180%;
  overflow-x: hidden;
  color: $text-white;
  background-color: $page-bg;
}
body.scroll-lock {
  overflow: hidden;
}
.page-container {
  width: 100%;
  padding: 0 2.5rem;
  margin: 0 auto;
}
.page__section {
  padding-top: 6.25rem;
  padding-bottom: 6.25rem;
}
.section-header{
  margin-bottom: 6.25rem;
}
.page__hero {
  height: 1040px;
}

@media screen and (max-width: 768px) {
  .section-header{
    margin-bottom: 4.5rem;
  }
  .page__section {
    padding: 4.5rem 0;
  }
  .page-container {
    padding: 0 2rem;
  }
}

@media (max-width: 480px) {
  .section-header{
    margin-bottom: 3rem;
  }
  .page-container {
    padding: 0 1.5rem;
  }
  .page__section {
    padding: 3rem 0;
  }
}

/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: $page-bg;
}

/* Handle */
::-webkit-scrollbar-thumb {
  margin: 0 22px;
  border-radius: 20px;
  background: $surface-light;
  border: 1px solid $stroke;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background-color: $stroke;
}
